Hi Esteban,<div><br></div><div> I just understand your point now.</div><div> I was using the VM 4.2.5 so Alien works pretty well on a 1.2.</div><div><br></div><div> But on the 5.7.4 VM, Alien is totally broken.</div><div> Even if I am not an expert in plugin code, I can give a try and look at it.</div>
<div> Can you just give me the right way to compile/generate the plugin source? </div><div> how to get the right WMMaker image? is it a pharo one now?</div><div> which repository for the sources? gitorious?</div><div><br>
</div><div>Thanks for all your work and effort Esteban!</div><div><br clear="all">#Luc<br>
<br><br><div class="gmail_quote">2011/2/4 Esteban Lorenzano <span dir="ltr">&lt;<a href="mailto:estebanlm@gmail.com">estebanlm@gmail.com</a>&gt;</span><br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex;">
<div style="word-wrap:break-word">Hi, <div>yes... I will commit a fixed version this week or the next one, or the other (ah, time, that awful all-eater monster) :P</div><div><br></div><div>Cheers,</div><div>Esteban</div><div>
<br><div><div>El 04/02/2011, a las 9:57a.m., Luc Fabresse escribió:</div><div><div></div><div class="h5"><br><blockquote type="cite">Hi Esteban,<div><br></div><div> No, I do not use Alien-MacOS (and I never played with it) even if I am on Mac.</div>
<div> This is because I only need to call a standard POSIX library and Alien-Core is enough for me.</div><div>
 If you have a patch or something better for Alien-MacOS, I can test it if you want.  please commit ;-)</div><div><br></div><div> Cheers,</div><div><br clear="all">#Luc<br>
<br><br><div class="gmail_quote">2011/2/4 Esteban Lorenzano <span dir="ltr">&lt;<a href="mailto:estebanlm@gmail.com" target="_blank">estebanlm@gmail.com</a>&gt;</span><br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">

Hi Luc,<br>
Did you make the package Alien-MacOS work? right now I&#39;m dealing with it (I even needed to bugfix the plugin sources), and I&#39;m fighting (hard) to make the proxy logic work... also I refactored a lot to make it compatible with latest versions of Alien.<br>


<br>
Cheers,<br>
Esteban<br>
<br>
El 30/01/2011, a las 9:05a.m., Luc Fabresse escribió:<br>
<div><div></div><div><br>
&gt; Hi all,<br>
&gt;<br>
&gt; I just committed new versions of Alien on squeaksource to make it run on 1.2<br>
&gt; I also modified the ConfigurationOfAlien to easily load it:<br>
&gt;<br>
&gt; (ConfigurationOfAlien project version: &#39;Pharo 1.1&#39;) load<br>
&gt;<br>
&gt; (ConfigurationOfAlien project version: &#39;Pharo 1.2&#39;) load<br>
&gt;<br>
&gt; (ConfigurationOfAlien project version: &#39;Pharo 1.1&#39;) load: {&#39;All&#39;. &#39;MacOSX&#39;}<br>
&gt;<br>
&gt; (ConfigurationOfAlien project version: &#39;Pharo 1.2&#39;) load: {&#39;All&#39;. &#39;MacOSX&#39;}<br>
&gt;<br>
&gt; #Luc<br>
<br>
</div></div></blockquote></div><br></div>
</blockquote></div></div></div><br></div></div></blockquote></div><br></div>